when:
  - event: [pull_request]
  - event: push
    branch:
      - ${CI_REPO_DEFAULT_BRANCH}

steps:
  build:
    image: codeberg.org/woodpecker-plugins/node-pm:1.3.6
    settings:
      run: build
      with: pnpm
      frozen_lockfile: true
      ignore_node_modules: true
